> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-mastermap-water-network-layer/os-mastermap-water-network-layer-technical-specification/vector-tiles-overview/attribute-naming-differences.md).

# Attribute naming differences

## Attribute naming differences between GML and vector tiles formats <a href="#id-6.2-attribute-naming-differences-between" id="id-6.2-attribute-naming-differences-between"></a>

The naming of attributes between vector tiles and the Geography Markup Language (GML) file is very similar as the vector tiles set within the MBTiles file is not limited in the number of characters for an attribute name.

### WatercourseLink

The following table maps the GML attribute name to the attribute name in the vector tiles for WatercourseLink:

| GML Attribute              | Vector Tiles Attribute         |
| -------------------------- | ------------------------------ |
| gml:id                     | toid                           |
| fictitious                 | fictitious                     |
| form                       | form                           |
| level                      | level                          |
| provenance                 | provenance                     |
| flowDirection              | flow\_direction                |
| primacy                    | primacy                        |
| watercourseNumber          | watercourse\_number            |
| watercourseName            | watercourse\_name              |
| watercourseNameAlternative | watercourse\_name\_alternative |
| localNameLang              | local\_name                    |
| localNameAlternative       | local\_name\_alternative       |
| catchmentName              | catchment\_name                |
| permanence                 | permanence                     |
| managedNavigation          | managed\_navigation            |
| length                     | length                         |
| length\_uom                | length\_uom                    |
| gradient                   | gradient                       |
| width                      | width                          |
| width\_uom                 | width\_uom                     |
| levelOfDetail              | level\_of\_detail              |

### HydroNode

The following table maps the GML attribute name to the attribute name in the vector tiles for HydroNode:

| GML Attribute     | Vector Tiles Attribute |
| ----------------- | ---------------------- |
| gml\_id           | toid                   |
| hydronodecategory | hydronode\_category    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/resources/product-resources/end-of-life-product-documentation/os-mastermap-water-network-layer/os-mastermap-water-network-layer-technical-specification/vector-tiles-overview/attribute-naming-differences.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
